Hex Artifact Content

Artifact aec06a1dc7c041401f076cc882322f30f323f3b2:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 54  2...exit 1.fi..T
00f0: 4c 53 56 45 52 53 3d 22 31 2e 36 22 0a 53 52 43  LSVERS="1.6".SRC
0100: 3d 22 73 72 63 2f 74 6c 73 2d 24 7b 54 4c 53 56  ="src/tls-${TLSV
0110: 45 52 53 7d 2e 74 61 72 2e 67 7a 22 0a 53 52 43  ERS}.tar.gz".SRC
0120: 55 52 4c 3d 22 68 74 74 70 3a 2f 2f 73 6f 75 72  URL="http://sour
0130: 63 65 66 6f 72 67 65 2e 6e 65 74 2f 70 72 6f 6a  ceforge.net/proj
0140: 65 63 74 73 2f 74 6c 73 2f 66 69 6c 65 73 2f 74  ects/tls/files/t
0150: 6c 73 2f 24 7b 54 4c 53 56 45 52 53 7d 2f 74 6c  ls/${TLSVERS}/tl
0160: 73 24 7b 54 4c 53 56 45 52 53 7d 2d 73 72 63 2e  s${TLSVERS}-src.
0170: 74 61 72 2e 67 7a 22 0a 42 55 49 4c 44 44 49 52  tar.gz".BUILDDIR
0180: 3d 22 24 28 70 77 64 29 2f 62 75 69 6c 64 2f 74  ="$(pwd)/build/t
0190: 6c 73 24 7b 54 4c 53 56 45 52 53 7d 22 0a 4f 55  ls${TLSVERS}".OU
01a0: 54 44 49 52 3d 22 24 28 70 77 64 29 2f 6f 75 74  TDIR="$(pwd)/out
01b0: 22 0a 49 4e 53 54 44 49 52 3d 22 24 28 70 77 64  ".INSTDIR="$(pwd
01c0: 29 2f 69 6e 73 74 22 0a 50 41 54 43 48 44 49 52  )/inst".PATCHDIR
01d0: 3d 22 24 28 70 77 64 29 2f 70 61 74 63 68 65 73  ="$(pwd)/patches
01e0: 22 0a 65 78 70 6f 72 74 20 54 4c 53 56 45 52 53  ".export TLSVERS
01f0: 20 53 52 43 20 53 52 43 55 52 4c 20 42 55 49 4c   SRC SRCURL BUIL
0200: 44 44 49 52 20 4f 55 54 44 49 52 20 49 4e 53 54  DDIR OUTDIR INST
0210: 44 49 52 20 50 41 54 43 48 44 49 52 0a 0a 23 20  DIR PATCHDIR..# 
0220: 53 65 74 20 63 6f 6e 66 69 67 75 72 65 20 6f 70  Set configure op
0230: 74 69 6f 6e 73 20 66 6f 72 20 74 68 69 73 20 73  tions for this s
0240: 75 62 2d 70 72 6f 6a 65 63 74 0a 4c 44 46 4c 41  ub-project.LDFLA
0250: 47 53 3d 22 24 7b 4c 44 46 4c 41 47 53 7d 20 24  GS="${LDFLAGS} $
0260: 7b 4b 43 5f 54 4c 53 5f 4c 44 46 4c 41 47 53 7d  {KC_TLS_LDFLAGS}
0270: 22 0a 43 46 4c 41 47 53 3d 22 24 7b 43 46 4c 41  ".CFLAGS="${CFLA
0280: 47 53 7d 20 24 7b 4b 43 5f 54 4c 53 5f 43 46 4c  GS} ${KC_TLS_CFL
0290: 41 47 53 7d 22 0a 43 50 50 46 4c 41 47 53 3d 22  AGS}".CPPFLAGS="
02a0: 24 7b 43 50 50 46 4c 41 47 53 7d 20 24 7b 4b 43  ${CPPFLAGS} ${KC
02b0: 5f 54 4c 53 5f 43 50 50 46 4c 41 47 53 7d 22 0a  _TLS_CPPFLAGS}".
02c0: 4c 49 42 53 3d 22 24 7b 4c 49 42 53 7d 20 24 7b  LIBS="${LIBS} ${
02d0: 4b 43 5f 54 4c 53 5f 4c 49 42 53 7d 22 0a 65 78  KC_TLS_LIBS}".ex
02e0: 70 6f 72 74 20 4c 44 46 4c 41 47 53 20 43 46 4c  port LDFLAGS CFL
02f0: 41 47 53 20 43 50 50 46 4c 41 47 53 20 4c 49 42  AGS CPPFLAGS LIB
0300: 53 0a 0a 72 6d 20 2d 72 66 20 27 62 75 69 6c 64  S..rm -rf 'build
0310: 27 20 27 6f 75 74 27 20 27 69 6e 73 74 27 0a 6d  ' 'out' 'inst'.m
0320: 6b 64 69 72 20 27 62 75 69 6c 64 27 20 27 6f 75  kdir 'build' 'ou
0330: 74 27 20 27 69 6e 73 74 27 20 7c 7c 20 65 78 69  t' 'inst' || exi
0340: 74 20 31 0a 0a 54 43 4c 5f 56 45 52 53 49 4f 4e  t 1..TCL_VERSION
0350: 3d 22 75 6e 6b 6e 6f 77 6e 22 0a 69 66 20 5b 20  ="unknown".if [ 
0360: 2d 66 20 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44  -f "${TCLCONFIGD
0370: 49 52 7d 2f 74 63 6c 43 6f 6e 66 69 67 2e 73 68  IR}/tclConfig.sh
0380: 22 20 5d 3b 20 74 68 65 6e 0a 20 20 20 20 20 20  " ]; then.      
0390: 20 20 73 6f 75 72 63 65 20 22 24 7b 54 43 4c 43    source "${TCLC
03a0: 4f 4e 46 49 47 44 49 52 7d 2f 74 63 6c 43 6f 6e  ONFIGDIR}/tclCon
03b0: 66 69 67 2e 73 68 22 0a 66 69 0a 65 78 70 6f 72  fig.sh".fi.expor
03c0: 74 20 54 43 4c 5f 56 45 52 53 49 4f 4e 0a 0a 69  t TCL_VERSION..i
03d0: 66 20 5b 20 21 20 2d 66 20 22 24 7b 53 52 43 7d  f [ ! -f "${SRC}
03e0: 22 20 5d 3b 20 74 68 65 6e 0a 09 6d 6b 64 69 72  " ]; then..mkdir
03f0: 20 27 73 72 63 27 20 3e 2f 64 65 76 2f 6e 75 6c   'src' >/dev/nul
0400: 6c 20 32 3e 2f 64 65 76 2f 6e 75 6c 6c 0a 0a 09  l 2>/dev/null...
0410: 69 66 20 5b 20 21 20 2d 64 20 27 62 75 69 6c 64  if [ ! -d 'build
0420: 73 72 63 27 20 5d 3b 20 74 68 65 6e 0a 09 09 72  src' ]; then...r
0430: 6d 20 2d 66 20 22 24 7b 53 52 43 7d 2e 74 6d 70  m -f "${SRC}.tmp
0440: 22 0a 09 09 77 67 65 74 20 2d 4f 20 22 24 7b 53  "...wget -O "${S
0450: 52 43 7d 2e 74 6d 70 22 20 22 24 7b 53 52 43 55  RC}.tmp" "${SRCU
0460: 52 4c 7d 22 20 7c 7c 20 65 78 69 74 20 31 0a 09  RL}" || exit 1..
0470: 09 6d 76 20 22 24 7b 53 52 43 7d 2e 74 6d 70 22  .mv "${SRC}.tmp"
0480: 20 22 24 7b 53 52 43 7d 22 0a 09 66 69 0a 66 69   "${SRC}"..fi.fi
0490: 0a 0a 28 0a 09 63 64 20 27 62 75 69 6c 64 27 20  ..(..cd 'build' 
04a0: 7c 7c 20 65 78 69 74 20 31 0a 0a 09 69 66 20 5b  || exit 1...if [
04b0: 20 21 20 2d 64 20 27 2e 2e 2f 62 75 69 6c 64 73   ! -d '../builds
04c0: 72 63 27 20 5d 3b 20 74 68 65 6e 0a 09 09 67 7a  rc' ]; then...gz
04d0: 69 70 20 2d 64 63 20 22 2e 2e 2f 24 7b 53 52 43  ip -dc "../${SRC
04e0: 7d 22 20 7c 20 74 61 72 20 2d 78 66 20 2d 0a 09  }" | tar -xf -..
04f0: 65 6c 73 65 20 20 20 20 0a 09 09 63 70 20 2d 72  else    ...cp -r
0500: 70 20 2e 2e 2f 62 75 69 6c 64 73 72 63 2f 2a 20  p ../buildsrc/* 
0510: 27 2e 2f 27 0a 09 66 69 0a 0a 09 23 20 41 70 70  './'..fi...# App
0520: 6c 79 20 72 65 71 75 69 72 65 64 20 70 61 74 63  ly required patc
0530: 68 65 73 0a 09 63 64 20 22 24 7b 42 55 49 4c 44  hes..cd "${BUILD
0540: 44 49 52 7d 22 20 7c 7c 20 65 78 69 74 20 31 0a  DIR}" || exit 1.
0550: 09 66 6f 72 20 70 61 74 63 68 20 69 6e 20 22 24  .for patch in "$
0560: 7b 50 41 54 43 48 44 49 52 7d 2f 61 6c 6c 22 2f  {PATCHDIR}/all"/
0570: 74 6c 73 2d 24 7b 54 4c 53 56 45 52 53 7d 2d 2a  tls-${TLSVERS}-*
0580: 2e 64 69 66 66 20 22 24 7b 50 41 54 43 48 44 49  .diff "${PATCHDI
0590: 52 7d 2f 24 7b 54 43 4c 5f 56 45 52 53 49 4f 4e  R}/${TCL_VERSION
05a0: 7d 22 2f 74 6c 73 2d 24 7b 54 4c 53 56 45 52 53  }"/tls-${TLSVERS
05b0: 7d 2d 2a 2e 64 69 66 66 3b 20 64 6f 0a 09 09 69  }-*.diff; do...i
05c0: 66 20 5b 20 21 20 2d 66 20 22 24 7b 70 61 74 63  f [ ! -f "${patc
05d0: 68 7d 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09 63  h}" ]; then....c
05e0: 6f 6e 74 69 6e 75 65 0a 09 09 66 69 0a 0a 09 09  ontinue...fi....
05f0: 65 63 68 6f 20 22 41 70 70 6c 79 69 6e 67 3a 20  echo "Applying: 
0600: 24 7b 70 61 74 63 68 7d 22 0a 09 09 24 7b 50 41  ${patch}"...${PA
0610: 54 43 48 3a 2d 70 61 74 63 68 7d 20 2d 70 31 20  TCH:-patch} -p1 
0620: 3c 20 22 24 7b 70 61 74 63 68 7d 22 0a 09 64 6f  < "${patch}"..do
0630: 6e 65 0a 0a 09 63 64 20 22 24 7b 42 55 49 4c 44  ne...cd "${BUILD
0640: 44 49 52 7d 22 20 7c 7c 20 65 78 69 74 20 31 0a  DIR}" || exit 1.
0650: 0a 09 23 20 54 72 79 20 74 6f 20 62 75 69 6c 64  ..# Try to build
0660: 20 61 73 20 61 20 73 68 61 72 65 64 20 6f 62 6a   as a shared obj
0670: 65 63 74 20 69 66 20 72 65 71 75 65 73 74 65 64  ect if requested
0680: 0a 09 69 66 20 5b 20 22 24 7b 53 54 41 54 49 43  ..if [ "${STATIC
0690: 54 4c 53 7d 22 20 3d 20 22 30 22 20 5d 3b 20 74  TLS}" = "0" ]; t
06a0: 68 65 6e 0a 09 09 74 72 79 6f 70 74 73 3d 22 2d  hen...tryopts="-
06b0: 2d 65 6e 61 62 6c 65 2d 73 68 61 72 65 64 20 2d  -enable-shared -
06c0: 2d 64 69 73 61 62 6c 65 2d 73 68 61 72 65 64 22  -disable-shared"
06d0: 0a 09 65 6c 69 66 20 5b 20 22 24 7b 53 54 41 54  ..elif [ "${STAT
06e0: 49 43 54 4c 53 7d 22 20 3d 20 22 2d 31 22 20 5d  ICTLS}" = "-1" ]
06f0: 3b 20 74 68 65 6e 0a 09 09 74 72 79 6f 70 74 73  ; then...tryopts
0700: 3d 22 2d 2d 65 6e 61 62 6c 65 2d 73 68 61 72 65  ="--enable-share
0710: 64 22 0a 09 65 6c 73 65 0a 09 09 74 72 79 6f 70  d"..else...tryop
0720: 74 73 3d 22 2d 2d 64 69 73 61 62 6c 65 2d 73 68  ts="--disable-sh
0730: 61 72 65 64 22 0a 09 66 69 0a 0a 09 53 41 56 45  ared"..fi...SAVE
0740: 5f 43 46 4c 41 47 53 3d 22 24 7b 43 46 4c 41 47  _CFLAGS="${CFLAG
0750: 53 7d 22 0a 09 66 6f 72 20 74 72 79 6f 70 74 20  S}"..for tryopt 
0760: 69 6e 20 24 74 72 79 6f 70 74 73 20 5f 5f 66 61  in $tryopts __fa
0770: 69 6c 5f 5f 3b 20 64 6f 0a 09 09 23 20 43 6c 65  il__; do...# Cle
0780: 61 6e 20 75 70 2c 20 69 66 20 6e 65 65 64 65 64  an up, if needed
0790: 0a 09 09 6d 61 6b 65 20 64 69 73 74 63 6c 65 61  ...make distclea
07a0: 6e 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20 32 3e 2f  n >/dev/null 2>/
07b0: 64 65 76 2f 6e 75 6c 6c 0a 09 09 72 6d 20 2d 72  dev/null...rm -r
07c0: 66 20 22 24 7b 49 4e 53 54 44 49 52 7d 22 0a 09  f "${INSTDIR}"..
07d0: 09 6d 6b 64 69 72 20 22 24 7b 49 4e 53 54 44 49  .mkdir "${INSTDI
07e0: 52 7d 22 0a 0a 09 09 69 66 20 5b 20 22 24 7b 74  R}"....if [ "${t
07f0: 72 79 6f 70 74 7d 22 20 3d 20 22 5f 5f 66 61 69  ryopt}" = "__fai
0800: 6c 5f 5f 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09  l__" ]; then....
0810: 65 78 69 74 20 31 0a 09 09 66 69 0a 0a 09 09 69  exit 1...fi....i
0820: 66 20 5b 20 22 24 7b 74 72 79 6f 70 74 7d 22 20  f [ "${tryopt}" 
0830: 3d 3d 20 22 2d 2d 65 6e 61 62 6c 65 2d 73 68 61  == "--enable-sha
0840: 72 65 64 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09  red" ]; then....
0850: 69 73 73 68 61 72 65 64 3d 22 31 22 0a 09 09 65  isshared="1"...e
0860: 6c 73 65 0a 09 09 09 69 73 73 68 61 72 65 64 3d  lse....isshared=
0870: 22 30 22 0a 09 09 66 69 0a 0a 09 09 23 20 49 66  "0"...fi....# If
0880: 20 62 75 69 6c 64 20 61 20 73 74 61 74 69 63 20   build a static 
0890: 54 4c 53 20 66 6f 72 20 4b 69 74 44 4c 4c 2c 20  TLS for KitDLL, 
08a0: 65 6e 73 75 72 65 20 74 68 61 74 20 77 65 20 75  ensure that we u
08b0: 73 65 20 50 49 43 0a 09 09 23 20 73 6f 20 74 68  se PIC...# so th
08c0: 61 74 20 69 74 20 63 61 6e 20 62 65 20 6c 69 6e  at it can be lin
08d0: 6b 65 64 20 69 6e 74 6f 20 74 68 65 20 73 68 61  ked into the sha
08e0: 72 65 64 20 6f 62 6a 65 63 74 0a 09 09 69 66 20  red object...if 
08f0: 5b 20 22 24 7b 69 73 73 68 61 72 65 64 7d 22 20  [ "${isshared}" 
0900: 3d 20 22 30 22 20 2d 61 20 22 24 7b 4b 49 54 54  = "0" -a "${KITT
0910: 41 52 47 45 54 7d 22 20 3d 20 22 6b 69 74 64 6c  ARGET}" = "kitdl
0920: 6c 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09 43 46  l" ]; then....CF
0930: 4c 41 47 53 3d 22 24 7b 53 41 56 45 5f 43 46 4c  LAGS="${SAVE_CFL
0940: 41 47 53 7d 20 2d 66 50 49 43 22 0a 09 09 65 6c  AGS} -fPIC"...el
0950: 73 65 0a 09 09 09 43 46 4c 41 47 53 3d 22 24 7b  se....CFLAGS="${
0960: 53 41 56 45 5f 43 46 4c 41 47 53 7d 22 0a 09 09  SAVE_CFLAGS}"...
0970: 66 69 0a 09 09 65 78 70 6f 72 74 20 43 46 4c 41  fi...export CFLA
0980: 47 53 0a 0a 09 09 69 66 20 5b 20 22 24 7b 69 73  GS....if [ "${is
0990: 73 68 61 72 65 64 7d 22 20 3d 20 27 30 27 20 5d  shared}" = '0' ]
09a0: 3b 20 74 68 65 6e 0a 09 09 09 73 65 64 20 27 73  ; then....sed 's
09b0: 40 55 53 45 5f 54 43 4c 5f 53 54 55 42 53 40 58  @USE_TCL_STUBS@X
09c0: 58 58 5f 54 43 4c 5f 53 54 55 42 53 40 67 27 20  XX_TCL_STUBS@g' 
09d0: 63 6f 6e 66 69 67 75 72 65 20 3e 20 63 6f 6e 66  configure > conf
09e0: 69 67 75 72 65 2e 6e 65 77 0a 09 09 65 6c 73 65  igure.new...else
09f0: 0a 09 09 09 73 65 64 20 27 73 40 58 58 58 5f 54  ....sed 's@XXX_T
0a00: 43 4c 5f 53 54 55 42 53 40 55 53 45 5f 54 43 4c  CL_STUBS@USE_TCL
0a10: 5f 53 54 55 42 53 40 67 27 20 63 6f 6e 66 69 67  _STUBS@g' config
0a20: 75 72 65 20 3e 20 63 6f 6e 66 69 67 75 72 65 2e  ure > configure.
0a30: 6e 65 77 0a 09 09 66 69 0a 09 09 63 61 74 20 63  new...fi...cat c
0a40: 6f 6e 66 69 67 75 72 65 2e 6e 65 77 20 3e 20 63  onfigure.new > c
0a50: 6f 6e 66 69 67 75 72 65 0a 09 09 72 6d 20 2d 66  onfigure...rm -f
0a60: 20 63 6f 6e 66 69 67 75 72 65 2e 6e 65 77 0a 0a   configure.new..
0a70: 09 09 28 0a 09 09 09 65 63 68 6f 20 22 52 75 6e  ..(....echo "Run
0a80: 6e 69 6e 67 3a 20 2e 2f 63 6f 6e 66 69 67 75 72  ning: ./configur
0a90: 65 20 24 74 72 79 6f 70 74 20 2d 2d 70 72 65 66  e $tryopt --pref
0aa0: 69 78 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d 5c  ix=\"${INSTDIR}\
0ab0: 22 20 2d 2d 65 78 65 63 2d 70 72 65 66 69 78 3d  " --exec-prefix=
0ac0: 5c 22 24 7b 49 4e 53 54 44 49 52 7d 5c 22 20 2d  \"${INSTDIR}\" -
0ad0: 2d 6c 69 62 64 69 72 3d 5c 22 24 7b 49 4e 53 54  -libdir=\"${INST
0ae0: 44 49 52 7d 2f 6c 69 62 5c 22 20 2d 2d 77 69 74  DIR}/lib\" --wit
0af0: 68 2d 74 63 6c 3d 5c 22 24 7b 54 43 4c 43 4f 4e  h-tcl=\"${TCLCON
0b00: 46 49 47 44 49 52 7d 5c 22 20 24 7b 43 4f 4e 46  FIGDIR}\" ${CONF
0b10: 49 47 55 52 45 45 58 54 52 41 7d 22 0a 09 09 09  IGUREEXTRA}"....
0b20: 2e 2f 63 6f 6e 66 69 67 75 72 65 20 24 74 72 79  ./configure $try
0b30: 6f 70 74 20 2d 2d 70 72 65 66 69 78 3d 22 24 7b  opt --prefix="${
0b40: 49 4e 53 54 44 49 52 7d 22 20 2d 2d 65 78 65 63  INSTDIR}" --exec
0b50: 2d 70 72 65 66 69 78 3d 22 24 7b 49 4e 53 54 44  -prefix="${INSTD
0b60: 49 52 7d 22 20 2d 2d 6c 69 62 64 69 72 3d 22 24  IR}" --libdir="$
0b70: 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 22 20 2d  {INSTDIR}/lib" -
0b80: 2d 77 69 74 68 2d 74 63 6c 3d 22 24 7b 54 43 4c  -with-tcl="${TCL
0b90: 43 4f 4e 46 49 47 44 49 52 7d 22 20 24 7b 43 4f  CONFIGDIR}" ${CO
0ba0: 4e 46 49 47 55 52 45 45 58 54 52 41 7d 0a 0a 09  NFIGUREEXTRA}...
0bb0: 09 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e 67 3a  ..echo "Running:
0bc0: 20 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20 74   ${MAKE:-make} t
0bd0: 63 6c 6c 69 62 64 69 72 3d 5c 22 24 7b 49 4e 53  cllibdir=\"${INS
0be0: 54 44 49 52 7d 2f 6c 69 62 5c 22 20 41 52 3d 5c  TDIR}/lib\" AR=\
0bf0: 22 24 7b 41 52 3a 2d 61 72 7d 5c 22 20 52 41 4e  "${AR:-ar}\" RAN
0c00: 4c 49 42 3d 5c 22 24 7b 52 41 4e 4c 49 42 3a 2d  LIB=\"${RANLIB:-
0c10: 72 61 6e 6c 69 62 7d 5c 22 22 0a 09 09 09 24 7b  ranlib}\""....${
0c20: 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20 74 63 6c 6c  MAKE:-make} tcll
0c30: 69 62 64 69 72 3d 22 24 7b 49 4e 53 54 44 49 52  ibdir="${INSTDIR
0c40: 7d 2f 6c 69 62 22 20 41 52 3d 22 24 7b 41 52 3a  }/lib" AR="${AR:
0c50: 2d 61 72 7d 22 20 52 41 4e 4c 49 42 3d 22 24 7b  -ar}" RANLIB="${
0c60: 52 41 4e 4c 49 42 3a 2d 72 61 6e 6c 69 62 7d 22  RANLIB:-ranlib}"
0c70: 20 7c 7c 20 65 78 69 74 20 31 0a 0a 09 09 09 65   || exit 1.....e
0c80: 63 68 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 24 7b  cho "Running: ${
0c90: 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20 74 63 6c 6c  MAKE:-make} tcll
0ca0: 69 62 64 69 72 3d 5c 22 24 7b 49 4e 53 54 44 49  ibdir=\"${INSTDI
0cb0: 52 7d 2f 6c 69 62 5c 22 20 41 52 3d 5c 22 24 7b  R}/lib\" AR=\"${
0cc0: 41 52 3a 2d 61 72 7d 5c 22 20 52 41 4e 4c 49 42  AR:-ar}\" RANLIB
0cd0: 3d 5c 22 24 7b 52 41 4e 4c 49 42 3a 2d 72 61 6e  =\"${RANLIB:-ran
0ce0: 6c 69 62 7d 5c 22 20 69 6e 73 74 61 6c 6c 22 0a  lib}\" install".
0cf0: 09 09 09 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d  ...${MAKE:-make}
0d00: 20 74 63 6c 6c 69 62 64 69 72 3d 22 24 7b 49 4e   tcllibdir="${IN
0d10: 53 54 44 49 52 7d 2f 6c 69 62 22 20 41 52 3d 22  STDIR}/lib" AR="
0d20: 24 7b 41 52 3a 2d 61 72 7d 22 20 52 41 4e 4c 49  ${AR:-ar}" RANLI
0d30: 42 3d 22 24 7b 52 41 4e 4c 49 42 3a 2d 72 61 6e  B="${RANLIB:-ran
0d40: 6c 69 62 7d 22 20 69 6e 73 74 61 6c 6c 20 7c 7c  lib}" install ||
0d50: 20 65 78 69 74 20 31 0a 09 09 29 20 7c 7c 20 63   exit 1...) || c
0d60: 6f 6e 74 69 6e 75 65 0a 0a 09 09 62 72 65 61 6b  ontinue....break
0d70: 0a 09 64 6f 6e 65 0a 0a 09 23 20 43 72 65 61 74  ..done...# Creat
0d80: 65 20 70 6b 67 49 6e 64 65 78 20 69 66 20 6e 65  e pkgIndex if ne
0d90: 65 64 65 64 0a 09 69 66 20 5b 20 21 20 2d 65 20  eded..if [ ! -e 
0da0: 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 2f  "${INSTDIR}/lib/
0db0: 74 6c 73 24 7b 54 4c 53 56 45 52 53 7d 2f 70 6b  tls${TLSVERS}/pk
0dc0: 67 49 6e 64 65 78 2e 74 63 6c 22 20 5d 3b 20 74  gIndex.tcl" ]; t
0dd0: 68 65 6e 0a 09 09 63 61 74 20 3c 3c 20 5f 45 4f  hen...cat << _EO
0de0: 46 5f 20 3e 20 22 24 7b 49 4e 53 54 44 49 52 7d  F_ > "${INSTDIR}
0df0: 2f 6c 69 62 2f 74 6c 73 24 7b 54 4c 53 56 45 52  /lib/tls${TLSVER
0e00: 53 7d 2f 70 6b 67 49 6e 64 65 78 2e 74 63 6c 22  S}/pkgIndex.tcl"
0e10: 0a 70 61 63 6b 61 67 65 20 69 66 6e 65 65 64 65  .package ifneede
0e20: 64 20 74 6c 73 20 24 7b 54 4c 53 56 45 52 53 7d  d tls ${TLSVERS}
0e30: 20 5c 0a 20 20 20 20 22 5b 6c 69 73 74 20 73 6f   \.    "[list so
0e40: 75 72 63 65 20 5b 66 69 6c 65 20 6a 6f 69 6e 20  urce [file join 
0e50: 5c 24 64 69 72 20 74 6c 73 2e 74 63 6c 5d 5d 20  \$dir tls.tcl]] 
0e60: 3b 20 5c 0a 20 20 20 20 20 5b 6c 69 73 74 20 6c  ; \.     [list l
0e70: 6f 61 64 20 7b 7d 20 74 6c 73 5d 22 0a 5f 45 4f  oad {} tls]"._EO
0e80: 46 5f 0a 09 66 69 0a 0a 09 23 20 49 6e 73 74 61  F_..fi...# Insta
0e90: 6c 6c 20 66 69 6c 65 73 20 6e 65 65 64 65 64 20  ll files needed 
0ea0: 62 79 20 69 6e 73 74 61 6c 6c 61 74 69 6f 6e 0a  by installation.
0eb0: 09 63 70 20 2d 72 20 22 24 7b 49 4e 53 54 44 49  .cp -r "${INSTDI
0ec0: 52 7d 2f 6c 69 62 22 20 22 24 7b 4f 55 54 44 49  R}/lib" "${OUTDI
0ed0: 52 7d 22 20 7c 7c 20 65 78 69 74 20 31 0a 09 66  R}" || exit 1..f
0ee0: 69 6e 64 20 22 24 7b 4f 55 54 44 49 52 7d 22 20  ind "${OUTDIR}" 
0ef0: 2d 6e 61 6d 65 20 27 2a 2e 61 27 20 2d 74 79 70  -name '*.a' -typ
0f00: 65 20 66 20 7c 20 78 61 72 67 73 20 2d 6e 20 31  e f | xargs -n 1
0f10: 20 72 6d 20 2d 66 20 2d 2d 0a 0a 09 23 23 20 58   rm -f --...## X
0f20: 58 58 3a 20 54 4f 44 4f 3a 20 44 65 74 65 72 6d  XX: TODO: Determ
0f30: 69 6e 65 20 77 68 61 74 20 77 65 20 61 63 74 75  ine what we actu
0f40: 61 6c 6c 79 20 6e 65 65 64 20 74 6f 20 6c 69 6e  ally need to lin
0f50: 6b 20 61 67 61 69 6e 73 74 0a 09 65 63 68 6f 20  k against..echo 
0f60: 27 2d 6c 73 73 6c 20 2d 6c 63 72 79 70 74 6f 27  '-lssl -lcrypto'
0f70: 20 3e 20 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c   > "${INSTDIR}/l
0f80: 69 62 2f 74 6c 73 24 7b 54 4c 53 56 45 52 53 7d  ib/tls${TLSVERS}
0f90: 2f 6c 69 62 74 6c 73 24 7b 54 4c 53 56 45 52 53  /libtls${TLSVERS
0fa0: 7d 2e 61 2e 6c 69 6e 6b 61 64 64 22 0a 0a 09 65  }.a.linkadd"...e
0fb0: 78 69 74 20 30 0a 29 20 7c 7c 20 65 78 69 74 20  xit 0.) || exit 
0fc0: 31 0a 0a 65 78 69 74 20 30 0a                    1..exit 0.